## org.freedesktop.UPower.KbdBacklight

org.freedesktop.UPower.KbdBacklight — KbdBacklight interface

## Methods

    GetMaxBrightness (out 'i' value)
    GetBrightness    (out 'i' value)
    SetBrightness    (in  'i' value)

## Signals

    BrightnessChanged           ('i' value)
    BrightnessChangedWithSource ('i' value,
                                 's' source)

## Implemented Interfaces

Objects implementing org.freedesktop.UPower.KbdBacklight also implements org.freedesktop.DBus.Introspectable, org.freedesktop.DBus.Properties

## Properties

    'NativePath' read      's'

## Description

org.freedesktop.UPower.KbdBacklight is a DBus interface implemented by UPower. It allows the keyboard backlight (if present) to be controlled. The object path "/org/freedesktop/UPower/KbdBacklight" is going to be deprecated in the future. The new object path is based on this, but the suffix of the path is the device name. For example: The interface is: org.freedesktop.UPower.KbdBacklight The object path will be: /org/freedesktop/UPower/KbdBacklight/tpacpiookbd_backlight

## Details

### GetMaxBrightness ()

    GetMaxBrightness (out 'i' value)

Get the maximum brightness level for the keyboard backlight.

`value`: | The maximum value of the keyboard backlight brightness.

#### Errors

`org.freedesktop.UPower.GeneralError`: | if an error occurred while getting the maximum brightness

### GetBrightness ()

    GetBrightness (out 'i' value)

Get the brightness level of the keyboard backlight.

`value`: | The current value of the keyboard backlight brightness.

#### Errors

`org.freedesktop.UPower.GeneralError`: | if an error occurred while getting the brightness

### SetBrightness ()

    SetBrightness (in  'i' value)

Set the brightness level of the keyboard backlight.

`value`: | The value to set the KbdBacklight brightness.

#### Errors

`org.freedesktop.UPower.GeneralError`: | if an error occurred while setting the brightness

## Signal Details

### The BrightnessChanged signal

    BrightnessChanged ('i' value)

The keyboard backlight brightness level has changed.

`value`: | The new brightness value of the keyboard backlight.

### The BrightnessChangedWithSource signal

    BrightnessChangedWithSource ('i' value,
                                 's' source)

The keyboard backlight brightness level has changed including information about the source of the change.

`value`: | The new brightness value of the keyboard backlight.
`source`: | Source of the keyboard backlight brightness change, either "external" if SetBrightness was called, or "internal" if the hardware changed the keyboard brightness itself (automatically or through a firmware-handled hotkey being pressed).

## Property Details

### The "NativePath" property

    'NativePath'  read      's'

OS specific native path of the keyboard backlight LED device. On Linux this is the sysfs path, for example `/sys/devices/platform/thinkpad_acpi/leds/tpacpi\:\:kbd_backlight`.